## vdeplug-vdesl 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project("vdeplug_vdesl"
    DESCRIPTION "libvdeplug plugin module for vdesl"
    HOMEPAGE_URL "https://github.com/virtualsquare/vdeplug_vdesl"
    VERSION 0.1.0
    LANGUAGES C)

include(GNUInstallDirs)
include(CheckIncludeFile)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -pedantic -Wall -Wextra")

set(CMAKE_REQUIRED_QUIET TRUE)
set(LIBS_REQUIRED vdeplug_mod)
set(HEADERS_REQUIRED libvdeplug.h)

foreach(THISLIB IN LISTS LIBS_REQUIRED)
  find_library(LIB${THISLIB}_OK ${THISLIB})
  if(NOT LIB${THISLIB}_OK)
    message(FATAL_ERROR "library lib${THISLIB} not found")
  endif()
endforeach(THISLIB)

foreach(HEADER IN LISTS HEADERS_REQUIRED)
  check_include_file(${HEADER} ${HEADER}_OK)
  if(NOT ${HEADER}_OK)
    message(FATAL_ERROR "header file ${HEADER} not found")
  endif()
endforeach(HEADER)

add_definitions(-D_GNU_SOURCE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_library(vdeplug_vdesl SHARED libvdeplug_vdesl.c)
target_link_libraries(vdeplug_vdesl vdeplug_mod)

install(TARGETS vdeplug_vdesl DESTINATION ${CMAKE_INSTALL_LIBDIR}/vdeplug)

add_subdirectory(man)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake")

=== debian/changelog ===
vdeplug-vdesl (0.1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113614)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 16:07:23 +0300

vdeplug-vdesl (0.1.0-2) unstable; urgency=medium

  * d/control: Add VirtualSquare Uploader
  * Initial Debian release (Closes: #975720)

 -- Andrea Capriotti <capriott@debian.org>  Tue, 01 Dec 2020 17:26:55 +0100

vdeplug-vdesl (0.1.0-1) unstable; urgency=medium

  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 15 Nov 2020 15:56:04 +0100

=== debian/control ===
Source: vdeplug-vdesl
Priority: optional
Section: libs
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattia.biondi3@studio.unibo.it>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.13), libvdeplug-dev (>= 4)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.virtualsquare.org/
Vcs-Git: https://salsa.debian.org/virtualsquare-team/vdeplug-vdesl.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vdeplug-vdesl

Package: libvdeplug-vdesl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libvdeplug plugin: vde over serial lines
 This libvdeplug plugin module adds the support of vde over serial lines.
 vdesl supports the rates up to 4Mbps.
 High baud rates may not be supported by the uart hardware or could provide an
 unreliable service due to communication errors. In order to achieve high speeds
 cables should be short and properly shielded against electro-magnetic noise.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic


%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libvdestack-$1.tar.gz%" \
   https://github.com/virtualsquare/vdeplug_vdesl/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
